VERSION 4.00
Begin VB.Form ShowOptions 
   Caption         =   "Show Options"
   ClientHeight    =   3000
   ClientLeft      =   1425
   ClientTop       =   1530
   ClientWidth     =   5340
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   8.25
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   3405
   Icon            =   "ShowOpt.frx":0000
   Left            =   1365
   LinkTopic       =   "Form2"
   ScaleHeight     =   3000
   ScaleMode       =   0  'User
   ScaleWidth      =   4262.421
   Top             =   1185
   Width           =   5460
   Begin VB.CheckBox EditBar 
      Caption         =   "&Edit Bar"
      Height          =   375
      Left            =   2280
      TabIndex        =   13
      Top             =   120
      Width           =   1215
   End
   Begin VB.CheckBox CellTypes 
      Caption         =   "Cell &Types"
      Height          =   375
      Left            =   2280
      TabIndex        =   12
      Top             =   960
      Width           =   1455
   End
   Begin VB.CheckBox Formulas 
      Caption         =   "&Formulas"
      Height          =   375
      Left            =   2280
      TabIndex        =   11
      Top             =   540
      Width           =   1215
   End
   Begin VB.ComboBox VScrollBar 
      BackColor       =   &H00C0C0C0&
      Height          =   315
      Left            =   1920
      Style           =   2  'Dropdown List
      TabIndex        =   9
      Top             =   2580
      Width           =   1695
   End
   Begin VB.ComboBox HScrollBar 
      BackColor       =   &H00C0C0C0&
      Height          =   315
      Left            =   1920
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   2220
      Width           =   1695
   End
   Begin VB.ComboBox Selections 
      BackColor       =   &H00C0C0C0&
      Height          =   315
      Left            =   1920
      Style           =   2  'Dropdown List
      TabIndex        =   7
      Top             =   1860
      Width           =   1695
   End
   Begin VB.CommandButton Command2 
      BackColor       =   &H80000005&
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4080
      TabIndex        =   4
      Top             =   720
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      BackColor       =   &H80000005&
      Caption         =   "OK"
      Height          =   375
      Left            =   4080
      TabIndex        =   3
      Top             =   240
      Width           =   1095
   End
   Begin VB.CheckBox RowHeadings 
      Caption         =   "&Row Headings"
      Height          =   315
      Left            =   240
      TabIndex        =   2
      Top             =   960
      Width           =   1935
   End
   Begin VB.CheckBox ColHeadings 
      Caption         =   "&Column Headings"
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   540
      Width           =   1935
   End
   Begin VB.CheckBox Gridlines 
      Caption         =   "&Gridlines"
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "Show Vert Scroll:"
      Height          =   255
      Index           =   11
      Left            =   240
      TabIndex        =   6
      Top             =   2580
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Show Horz Scroll:"
      Height          =   255
      Index           =   10
      Left            =   240
      TabIndex        =   5
      Top             =   2220
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Show Selections:"
      Height          =   255
      Index           =   9
      Left            =   240
      TabIndex        =   10
      Top             =   1860
      Width           =   1575
   End
End
Attribute VB_Name = "ShowOptions"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
   
   '' Set the values in the active spreadsheet according to the values entered in
   
   MainFrame.ActiveForm.SS.ShowGridLines = Gridlines.VALUE
   MainFrame.ActiveForm.SS.ShowColHeading = ColHeadings.VALUE
   MainFrame.ActiveForm.SS.ShowRowHeading = RowHeadings.VALUE
   MainFrame.ActiveForm.SS.ShowEditBar = EditBar.VALUE
   MainFrame.ActiveForm.SS.ShowFormulas = Formulas.VALUE
   MainFrame.ActiveForm.SS.ShowTypeMarkers = CellTypes.VALUE
   
   MainFrame.ActiveForm.SS.ShowSelections = Selections.ListIndex
   MainFrame.ActiveForm.SS.ShowHScrollBar = HScrollBar.ListIndex
   MainFrame.ActiveForm.SS.ShowVScrollBar = VScrollBar.ListIndex
   
   
   ShowOptions.Hide

End Sub

Private Sub Command2_Click()
    ShowOptions.Hide
End Sub

Private Sub Form_Load()

   '' This procedure shows all of the settings that currently exist in the spreadsheet
   '' and then gives the user the opportunity to change them
   
   If MainFrame.ActiveForm.SS.ShowGridLines Then
      Gridlines.VALUE = 1
   End If
   
   If MainFrame.ActiveForm.SS.ShowColHeading Then
      ColHeadings.VALUE = 1
   End If
   
   If MainFrame.ActiveForm.SS.ShowRowHeading Then
      RowHeadings.VALUE = 1
   End If
   
   If MainFrame.ActiveForm.SS.ShowEditBar Then
      EditBar.VALUE = 1
   End If
   
   If MainFrame.ActiveForm.SS.ShowFormulas Then
      Formulas.VALUE = 1
   End If
   
   If MainFrame.ActiveForm.SS.ShowTypeMarkers Then
      CellTypes.VALUE = 1
   End If
   
   Selections.AddItem "Off"
   Selections.AddItem "On"
   Selections.AddItem "Automatic"
   If (MainFrame.ActiveForm.SS.ShowSelections = F1ShowOffOnAutoConstants.F1Off) Then
      Selections.ListIndex = 0
   ElseIf (MainFrame.ActiveForm.SS.ShowSelections = F1ShowOffOnAutoConstants.F1On) Then
      Selections.ListIndex = 1
   Else
      Selections.ListIndex = 2
   End If
   
   HScrollBar.AddItem "Off"
   HScrollBar.AddItem "On"
   HScrollBar.AddItem "Automatic"
   If (MainFrame.ActiveForm.SS.ShowHScrollBar = F1ShowOffOnAutoConstants.F1Off) Then
      HScrollBar.ListIndex = 0
   ElseIf (MainFrame.ActiveForm.SS.ShowHScrollBar = F1ShowOffOnAutoConstants.F1On) Then
      HScrollBar.ListIndex = 1
   Else
      HScrollBar.ListIndex = 2
   End If
   
   VScrollBar.AddItem "Off"
   VScrollBar.AddItem "On"
   VScrollBar.AddItem "Automatic"
   If (MainFrame.ActiveForm.SS.ShowVScrollBar = F1ShowOffOnAutoConstants.F1Off) Then
      VScrollBar.ListIndex = 0
   ElseIf (MainFrame.ActiveForm.SS.ShowVScrollBar = F1ShowOffOnAutoConstants.F1On) Then
      VScrollBar.ListIndex = 1
   Else
      VScrollBar.ListIndex = 2
   End If
End Sub

