VERSION 4.00
Begin VB.Form AllowOptions 
   Caption         =   "Allow Options"
   ClientHeight    =   2355
   ClientLeft      =   3330
   ClientTop       =   1020
   ClientWidth     =   5385
   ForeColor       =   &H80000008&
   Height          =   2760
   Icon            =   "Allowopt.frx":0000
   Left            =   3270
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2355
   ScaleMode       =   0  'User
   ScaleWidth      =   4403.679
   Top             =   675
   Width           =   5505
   Begin VB.CheckBox InCellEditing 
      Caption         =   "&In Cell Editing"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   3600
      TabIndex        =   8
      Top             =   1800
      Width           =   2295
   End
   Begin VB.CheckBox Formulas 
      Caption         =   "Formula &Editing"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   3600
      TabIndex        =   7
      Top             =   1440
      Width           =   2295
   End
   Begin VB.CheckBox Resize 
      Caption         =   "&Resize Rows & Columns"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   6
      Top             =   1800
      Width           =   2535
   End
   Begin VB.CheckBox MoveRange 
      Caption         =   "&Move Range"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   5
      Top             =   1440
      Width           =   1695
   End
   Begin VB.CheckBox FillRange 
      Caption         =   "&Fill Range"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   4
      Top             =   1080
      Width           =   1215
   End
   Begin VB.CheckBox Selections 
      Caption         =   "&Selections"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   3
      Top             =   720
      Width           =   1215
   End
   Begin VB.CheckBox AppLaunch 
      Caption         =   "&Application Launch"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   240
      Visible         =   0   'False
      Width           =   2295
   End
   Begin VB.CommandButton Command2 
      BackColor       =   &H00C0C0C0&
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4080
      TabIndex        =   1
      Top             =   720
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      BackColor       =   &H00C0C0C0&
      Caption         =   "OK"
      Default         =   -1  'True
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   700
         size            =   8.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4080
      TabIndex        =   0
      Top             =   240
      Width           =   1095
   End
End
Attribute VB_Name = "AllowOptions"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
   '' Set the values in the currently active spreadsheet
   '' according to the values selected in the allow options form
   
   MainFrame.ActiveForm.SS.AllowSelections = Selections.VALUE
   MainFrame.ActiveForm.SS.AllowFillRange = FillRange.VALUE
   MainFrame.ActiveForm.SS.AllowMoveRange = MoveRange.VALUE
   MainFrame.ActiveForm.SS.AllowResize = Resize.VALUE
   MainFrame.ActiveForm.SS.AllowFormulas = Formulas.VALUE
   MainFrame.ActiveForm.SS.AllowInCellEditing = InCellEditing.VALUE
   AllowOptions.Hide
End Sub

Private Sub Command2_Click()
    AllowOptions.Hide
End Sub

Private Sub Form_Load()

   '' Set the values in the allow options form according
   '' to the values in the currently active spreadsheet
   
   If MainFrame.ActiveForm.SS.AllowSelections Then
      Selections.VALUE = 1
   End If
   If MainFrame.ActiveForm.SS.AllowFillRange Then
      FillRange.VALUE = 1
   End If
   If MainFrame.ActiveForm.SS.AllowMoveRange Then
      MoveRange.VALUE = 1
   End If
   If MainFrame.ActiveForm.SS.AllowResize Then
      Resize.VALUE = 1
   End If
   If MainFrame.ActiveForm.SS.AllowFormulas Then
      Formulas.VALUE = 1
   End If
   If MainFrame.ActiveForm.SS.AllowInCellEditing Then
      InCellEditing.VALUE = 1
   End If
End Sub


