VERSION 4.00
Begin VB.Form ColorForm 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1560
   ClientLeft      =   6840
   ClientTop       =   2940
   ClientWidth     =   1875
   ControlBox      =   0   'False
   Height          =   2025
   Icon            =   "Colors.frx":0000
   Left            =   6750
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   NegotiateMenus  =   0   'False
   ScaleHeight     =   1560
   ScaleWidth      =   1875
   Top             =   2565
   Width           =   2055
   Begin VCIF1Lib.F1Book Colors 
      Height          =   1455
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   1755
      _version        =   65536
      _extentx        =   3096
      _extenty        =   2566
      _stockprops     =   96
      tablename       =   "F1Book1"
      appname         =   ""
      filename        =   "Colors.frx":044A
   End
End
Attribute VB_Name = "ColorForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Sub Colors_Click(ByVal nRow As Long, ByVal nCol As Long)

' Remember chosen color
If TextOrFillColorFlag = 0 Then
    CurrentFillColorIndex = ((nRow - 1) * 8) + nCol
    Call SetObjectColor(CurrentFillColorIndex)
Else
    CurrentTextColorIndex = ((nRow - 1) * 8) + nCol
    Call SetObjectColor(CurrentTextColorIndex)
End If

Call UpdateTextAndFillColors ' Display new color in button bar

ColorForm.Hide

End Sub

Private Sub Form_Activate()
    
    Dim TheRow%, TheCol%, TheEntry%
    Dim TheColor As Long
    Dim TheIndex%

    ' Set up a mini-spreadsheet with each palette color occupying one cell.
    '' Lets the user select a color

   With Colors
      .MaxRow = 7
      .MaxCol = 8
   
      .AllowDelete = False
      .AllowFillRange = False
      .AllowFormulas = False
      .AllowInCellEditing = False
      .AllowMoveRange = False
      .ShowRowHeading = False
      .ShowColHeading = False
      .ShowEditBar = False
      .ShowHScrollBar = 0
      .ShowVScrollBar = 0
      .ShowTabs = 0
   
      '' This routine fills the mini-Formula One worksheet with the
      '' current colors in the color palette.
      If Not (MainFrame.ActiveForm Is Nothing) Then
         For TheRow = 1 To 7
            .SetRowHeight TheRow, TheRow, 200, False
            For TheCol = 1 To 8
               .SetColWidthTwips TheCol, TheCol, 200, False
   
               .Row = TheRow
               .Col = TheCol
   
               ' Get a color entry from the current sheet
               TheEntry = ((TheRow - 1) * 8) + TheCol
               TheColor = MainFrame.ActiveForm.SS.PaletteEntry(TheEntry)
               .SetPattern 1, TheColor, TheColor
   
            Next TheCol
         Next TheRow
   
         .TopRow = 1
         .LeftCol = 1
   
         ' Put the cursor on the right color
         TheIndex = IIf(TextOrFillColorFlag = 0, CurrentFillColorIndex, CurrentTextColorIndex)
         .Row = Int((TheIndex - 1) / 8) + 1
         .Col = (TheIndex - ((.Row - 1) * 8))
      End If
   
       ' Center the spreadsheet withing the form
       ColorForm.Width = 8 * 200 + 120
       ColorForm.Height = 7 * 200 + 120
      .Left = 60
      .Top = 60
   
   End With

End Sub

Private Sub Form_Deactivate()

Hide

End Sub
